/*
 *  cacamoo
 *  Copyright (c) 2006 Jean-Yves Lamoureux <jylam@lnxscene.org>
 *                All Rights Reserved
 *
 *  $Id$
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the Do What The Fuck You Want To
 *  Public License, Version 2, as published by Sam Hocevar. See
 *  http://sam.zoy.org/wtfpl/COPYING for more details.
 */

#ifndef _CACASAY_H_
#define _CACASAY_H_

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
/* Portability ? */
#include <sys/types.h>
#include <dirent.h>


#include <cucul.h>

static void version(void);
char *construct_balloon(char *buffer, unsigned int termwidth);
char *wrap_string(char *buffer, unsigned int width, unsigned int *max_width, int no_wrap);
char *make_caca_from_file(unsigned int *size);
char *replace(char *string, char *oldpiece, const char *newpiece);
char *remove_slashes(char *str);
char *remove_comments(char *str);
void list_files(const char *directory);

#if defined(HAVE_GETOPT_H)
static void usage(void);
#endif

#endif /* _CACASAY_H_ */
